[Launch]
ProgramExecutable=ImageEnhancer\Aiarty Image Enhancer.exe
CleanTemp=false
SinglePortableAppInstance=true
WaitForProgram=true
WaitForOtherInstances=true
WaitForExe1=OpenVINOCheck.exe
WaitForExe2=TensorRTCheck.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
-=HKCU\Software\Software\QtProject
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication
-=HKCU\Software\Microsoft\IntelliPoint\AppSpecific\Aiarty Image Enhancer.exe
-=HKCU\Software\Microsoft\IntelliType Pro\AppSpecific\Aiarty Image Enhancer.exe

[RegistryValueWrite]

[RegistryCleanupIfEmpty]

[RegistryCleanupForce]

[FilesMove]

[DirectoriesMove]
AiartyImageEnhancer=%ALLUSERSAPPDATA%\Aiarty

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\Digiarty
2=%USERPROFILE%\Aiarty Output

[DirectoriesCleanupForce]
